Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.gpuflux
Class FluxSettings

    java.lang.Object
      de.grogra.gpuflux.FluxSettings

    public class FluxSettings

extends java.lang.Object

Field Summary
`static int` | `PERFORMANCE_BUILD`
`static int` | `PERFORMANCE_TRACE`
`static EnumerationType` | `PERFORMANCE_TYPE`

Constructor Summary
`FluxSettings()`

Method Summary
`static int` | `getChannelResolution()`
`static java.lang.String` | `getLightModelSettingsLog()`
`static float` | `getModelFlatness()`
`static int` | `getModelSpectralLambdaStep()`
`static boolean` | `getOCLGPU()`
`static int` | `getOCLInitialSampleCount()`
`static int` | `getOCLMaximumSampleCount()`
`static int` | `getOCLMinMeasurements()`
`static boolean` | `getOCLMultiGPU()`
`static int` | `getOCLPerformance()`
`static boolean` | `getOCLPrecompile()`
`static double` | `getOCLPreferredDuration()`
`static java.lang.String` | `getOpenCLSettingsLog()`
`static int` | `getRenderDepth()`
`static boolean` | `getRenderDispersion()`
`static float` | `getRenderMinPower()`
`static java.lang.String` | `getRenderSettingsLog()`
`static boolean` | `getRenderSpectral()`
`static int` | `getSkyResolution()`
`static java.lang.String` | `getTracerLog()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PERFORMANCE_BUILD

    public static int PERFORMANCE_BUILD

### PERFORMANCE_TRACE

    public static int PERFORMANCE_TRACE

### PERFORMANCE_TYPE

    public static final EnumerationType PERFORMANCE_TYPE

Constructor Detail

### FluxSettings

    public FluxSettings()

Method Detail

### getChannelResolution

    public static int getChannelResolution()

### getLightModelSettingsLog

    public static java.lang.String getLightModelSettingsLog()

### getModelFlatness

    public static float getModelFlatness()

### getModelSpectralLambdaStep

    public static int getModelSpectralLambdaStep()

### getOCLGPU

    public static boolean getOCLGPU()

### getOCLInitialSampleCount

    public static int getOCLInitialSampleCount()

### getOCLMaximumSampleCount

    public static int getOCLMaximumSampleCount()

### getOCLMinMeasurements

    public static int getOCLMinMeasurements()

### getOCLMultiGPU

    public static boolean getOCLMultiGPU()

### getOCLPerformance

    public static int getOCLPerformance()

### getOCLPrecompile

    public static boolean getOCLPrecompile()

### getOCLPreferredDuration

    public static double getOCLPreferredDuration()

### getOpenCLSettingsLog

    public static java.lang.String getOpenCLSettingsLog()

### getRenderDepth

    public static int getRenderDepth()

### getRenderDispersion

    public static boolean getRenderDispersion()

### getRenderMinPower

    public static float getRenderMinPower()

### getRenderSettingsLog

    public static java.lang.String getRenderSettingsLog()

### getRenderSpectral

    public static boolean getRenderSpectral()

### getSkyResolution

    public static int getSkyResolution()

### getTracerLog

    public static java.lang.String getTracerLog()

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD